## dh-builtusing 0.0.11

=== Makefile ===
# -- Driven by debian/rules

all: obj/dh_builtusing.1

obj/%.1: %.pod | obj
	pod2man --utf8 -cDebhelper -r`dpkg-parsechangelog -SVersion` $< $@

obj:
	mkdir $@

check:
	sh run-unit-tests

clean:
	rm -fr obj/
	find . -name '*~' -a -type f -delete

# -- Useful during development

dev: c-dh_builtusing obj/tidy-dh_builtusing obj/critic-dh_builtusing \
     check \
     all \
     c-builtusing.pm obj/tidy-builtusing.pm obj/critic-builtusing.pm

c-%:
	perl -c $*

# apt install perltidy:
obj/tidy-%: %
	perltidy $< -st | diff -u $< -

no_critic = Modules::RequireVersionVar
obj/critic-builtusing.pm: no_critic += Modules::RequireExplicitPackage

# apt install libperl-critic-perl:
obj/critic-%: % Makefile | obj
	perlcritic -1 --verbose=11 $(no_critic:%=--exclude=%) $<
	touch $@

## dh-builtusing 0.0.4

=== debian/changelog ===
dh-builtusing (0.0.4) unstable; urgency=medium

  * Disable integration-tests/multiarch until the cross configuration of
    auto testers is more documentented.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sat, 24 Jun 2023 06:54:19 +0000

dh-builtusing (0.0.3) unstable; urgency=medium

  * integration-tests/multiarch-root: add explicit shell

 -- Nicolas Boulenguez <nicolas@debian.org>  Fri, 23 Jun 2023 07:06:02 +0200

dh-builtusing (0.0.2) unstable; urgency=medium

  * control: Multi-Arch: foreign
  * integration-tests/40multiarch-root: fix runuser command line options
  * Autopkgtests seem to need fakeroot despite Rules-Requires-Root: no

 -- Nicolas Boulenguez <nicolas@debian.org>  Thu, 22 Jun 2023 06:24:36 +0000

dh-builtusing (0.0.1) unstable; urgency=low

  * Initial release. Closes: #1035888.

 -- Nicolas Boulenguez <nicolas@debian.org>  Mon, 19 Jun 2023 20:13:29 +0000

=== debian/control ===
Source: dh-builtusing
Maintainer: Nicolas Boulenguez <nicolas@debian.org>
Section: devel
Priority: optional
Standards-Version: 4.6.2
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 libdpkg-perl,
Vcs-Browser: https://salsa.debian.org/debian/dh-builtusing
Vcs-Git: https://salsa.debian.org/debian/dh-builtusing.git

Package: dh-builtusing
Provides: dh-sequence-builtusing
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 ${perl:Depends},
 debhelper,
Description: debhelper tool generating the Built-Using field for Debian packages
 This tool may help maintainers of Debian packages with a Built-Using
 or Static-Built-Using dependency.
 .
 The full description is in the dh_builtusing(1) manual page.

=== debian/tests/control ===
# Without gcc, Dh_Lib complains on stderr that it cannot guess the
# architecture.

Tests-Directory: .
Tests: run-unit-tests
# g++ for the encoding test.
Depends: @, gcc, g++

Tests-Directory: integration-tests
Tests:
 10execute-before-dh-gencontrol
 20dh-with
 30dh-sequence
Depends: @, fakeroot, gcc

# ??? Depends: libc6 [i386] instead of -root
# Tests-Directory: integration-tests-root
# Tests: 40multiarch
# Depends: @, fakeroot, gcc
# Restrictions: needs-internet, needs-root

## dh-builtusing 0.0.6

=== debian/changelog ===
dh-builtusing (0.0.6) unstable; urgency=medium

  * When an architecture or profile restriction disables the field, expand
    to a dummy but syntactically valid value.  Closes: #1067242.
  * Run dpkg-gencontrol after each test, preventing similar issues.

 -- Nicolas Boulenguez <nicolas@debian.org>  Thu, 21 Mar 2024 04:16:53 +0000

dh-builtusing (0.0.5) unstable; urgency=medium

  * Allow multiple packages to match a wildcard. Closes: #1052427.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 24 Sep 2023 13:56:33 +0000

=== debian/control ===
--- 
+++ 
@@ -6,6 +6,7 @@
 Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13),
+ fakeroot,
  libdpkg-perl,
 Vcs-Browser: https://salsa.debian.org/debian/dh-builtusing
 Vcs-Git: https://salsa.debian.org/debian/dh-builtusing.git

=== debian/tests/control ===
# Without gcc, Dh_Lib complains on stderr that it cannot guess the
# architecture.

Tests-Directory: .
Tests: run-unit-tests
# g++ for the encoding test.
Depends: @, fakeroot, gcc, g++

Tests-Directory: integration-tests
Tests:
 10execute-before-dh-gencontrol
 20dh-with
 30dh-sequence
Depends: @, fakeroot, gcc

# ??? Depends: libc6 [i386] instead of -root
# Tests-Directory: integration-tests
# Tests: 40multiarch-root
# Depends: @, fakeroot, gcc
# Restrictions: needs-internet, needs-root

## dh-builtusing 0.0.7

=== debian/changelog ===
dh-builtusing (0.0.7) unstable; urgency=medium

  [ Niels Thykier ]
  * Remove need for `fakeroot` in all tests.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sat, 22 Feb 2025 11:54:30 +0000

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,10 @@
 Maintainer: Nicolas Boulenguez <nicolas@debian.org>
 Section: devel
 Priority: optional
-Standards-Version: 4.6.2
+Standards-Version: 4.7.1
 Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13),
- fakeroot,
  libdpkg-perl,
 Vcs-Browser: https://salsa.debian.org/debian/dh-builtusing
 Vcs-Git: https://salsa.debian.org/debian/dh-builtusing.git

=== debian/tests/control ===
# Without gcc, Dh_Lib complains on stderr that it cannot guess the
# architecture.

Tests-Directory: .
Tests: run-unit-tests
# g++ for the encoding test.
Depends: @, gcc, g++

Tests-Directory: integration-tests
Tests:
 10execute-before-dh-gencontrol
 20dh-with
 30dh-sequence
Depends: @, gcc

# ??? Depends: libc6 [i386] instead of -root
# Tests-Directory: integration-tests
# Tests: 40multiarch-root
# Depends: @, gcc
# Restrictions: needs-internet, needs-root

## dh-builtusing 0.0.8

=== debian/changelog ===
dh-builtusing (0.0.8) unstable; urgency=medium

  * Support Multi-Arch: foreign/allowed dependencies. Closes: #1114845.

 -- Nicolas Boulenguez <nicolas@debian.org>  Thu, 11 Sep 2025 18:30:47 +0000

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Maintainer: Nicolas Boulenguez <nicolas@debian.org>
 Section: devel
 Priority: optional
-Standards-Version: 4.7.1
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13),

## dh-builtusing 0.0.9

=== debian/changelog ===
dh-builtusing (0.0.9) unstable; urgency=medium

  * Fix multi-arch autopkgtest
  * Test a Multi-Arch: foreign dependency, as in #1114845
  * Handle Architecture:all Multi-Arch:same dependencies

 -- Nicolas Boulenguez <nicolas@debian.org>  Wed, 17 Sep 2025 05:51:22 +0000

=== debian/tests/control ===
--- 
+++ 
@@ -13,8 +13,7 @@
  30dh-sequence
 Depends: @, gcc
 
-# ??? Depends: libc6 [i386] instead of -root
-# Tests-Directory: integration-tests
-# Tests: 40multiarch-root
-# Depends: @, gcc
-# Restrictions: needs-internet, needs-root
+Tests-Directory: integration-tests
+Tests: 40multiarch-root
+Depends: @, gcc
+Restrictions: needs-root

## dh-builtusing 0.0.10

=== debian/changelog ===
dh-builtusing (0.0.10) unstable; urgency=medium

  * Drop Rules-Requires-Root: no
  * Parse the substvars file before extending it
  * Add --logorrheic option for debugging dh-builtusing
  * test: export DEB_RULES_REQUIRES_ROOT once from test_helper.sh
  * Test more multiarch situations
  * Let the multiarch logic ignore uninstalled package

 -- Nicolas Boulenguez <nicolas@debian.org>  Thu, 25 Sep 2025 11:55:17 +0000

## dh-builtusing 0.0.11

=== debian/changelog ===
dh-builtusing (0.0.11) unstable; urgency=medium

  * Skip the allowed-other part of integration-tests/40-multiarch-root
    (the comments there provide details about the failure).

 -- Nicolas Boulenguez <nicolas@debian.org>  Sat, 27 Sep 2025 22:16:09 +0000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,6 @@
 Section: devel
 Priority: optional
 Standards-Version: 4.7.2
-Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13),
  libdpkg-perl,

## dh-builtusing 0.0.12

=== debian/changelog ===
dh-builtusing (0.0.12) unstable; urgency=medium

  * Build with debputy instead of debhelper.

 -- Nicolas Boulenguez <nicolas@debian.org>  Wed, 29 Oct 2025 11:24:52 +0000

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,10 @@
 Priority: optional
 Standards-Version: 4.7.2
 Build-Depends:
- debhelper-compat (= 13),
+ debputy (>= 0.1.45~),
+ dpkg-dev (>= 1.22.7~),
  libdpkg-perl,
+Build-Driver: debputy
 Vcs-Browser: https://salsa.debian.org/debian/dh-builtusing
 Vcs-Git: https://salsa.debian.org/debian/dh-builtusing.git
 
@@ -14,8 +16,6 @@
 Architecture: all
 Multi-Arch: foreign
 Depends:
- ${misc:Depends},
- ${perl:Depends},
  debhelper,
 Description: debhelper tool generating the Built-Using field for Debian packages
  This tool may help maintainers of Debian packages with a Built-Using

=== debian/tests/control ===
--- 
+++ 
@@ -16,4 +16,6 @@
 Tests-Directory: integration-tests
 Tests: 40multiarch-root
 Depends: @, gcc
+Architecture: !i386
+# Skip the test on i386, where it would only repeat unit-tests/70multiarch.
 Restrictions: needs-root

## dh-builtusing 0.0.13

=== Makefile ===
--- 
+++ 
@@ -17,17 +17,19 @@
 
 # -- Useful during development
 
-dev: c-dh_builtusing obj/tidy-dh_builtusing obj/critic-dh_builtusing \
+dev: c-dh_builtusing tidy-dh_builtusing obj/critic-dh_builtusing \
      check \
      all \
-     c-builtusing.pm obj/tidy-builtusing.pm obj/critic-builtusing.pm
+     c-builtusing.pm tidy-builtusing.pm obj/critic-builtusing.pm
 
 c-%:
 	perl -c $*
 
 # apt install perltidy:
-obj/tidy-%: %
-	perltidy $< -st | diff -u $< -
+tidy-%: obj/tidy-% %
+	diff -u $* $< || { echo 'Advice: mv -f $^'; false; }
+obj/tidy-%: % | obj
+	perltidy $< -o $@
 
 no_critic = Modules::RequireVersionVar
 obj/critic-builtusing.pm: no_critic += Modules::RequireExplicitPackage

=== debian/changelog ===
dh-builtusing (0.0.13) unstable; urgency=medium

  * Deprecate search in installed packages when no Build-Dependency
    matches (obscure and non deterministic).
  * Deprecate architecture qualifiers in substitution variable names
    (all multiarch variants must have the same source version).
  * Deprecate the -c command line option (not needed after all).
  * Deprecate search for dh-builtusing variables in substvar files
    (no one seems interested so far).
  * Collect requests and run dpkg-query at most once
  * Handle alternatives in build dependencies.
  * test: check that searches in Build-Depends-Arch and -Indep are exclusive
  * Explicitly Build-Depend on debhelper for tests.
  * Remove Priority: optional

 -- Nicolas Boulenguez <nicolas@debian.org>  Fri, 27 Feb 2026 13:31:13 +0100

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: dh-builtusing
 Maintainer: Nicolas Boulenguez <nicolas@debian.org>
 Section: devel
-Priority: optional
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Build-Depends:
+# For tests:
+ debhelper,
  debputy (>= 0.1.45~),
  dpkg-dev (>= 1.22.7~),
  libdpkg-perl,

=== debian/tests/control ===
--- 
+++ 
@@ -12,10 +12,3 @@
  20dh-with
  30dh-sequence
 Depends: @, gcc
-
-Tests-Directory: integration-tests
-Tests: 40multiarch-root
-Depends: @, gcc
-Architecture: !i386
-# Skip the test on i386, where it would only repeat unit-tests/70multiarch.
-Restrictions: needs-root
